TF_SignatureSchemeBase< INTFACE, BASE > Class Template Referenceabstract

Trapdoor Function (TF) Signature Scheme base class. More...

`#include <pubkey.h>`

Inheritance diagram for TF_SignatureSchemeBase< INTFACE, BASE >:

## Public Member Functions

size_t | SignatureLength () const
size_t | MaxRecoverableLength () const
size_t | MaxRecoverableLengthFromSignatureLength (size_t signatureLength) const
bool | IsProbabilistic () const
bool | AllowNonrecoverablePart () const
bool | RecoverablePartFirst () const

## Detailed Description

template<class INTFACE, class BASE>
class TF_SignatureSchemeBase< INTFACE, BASE >

Trapdoor Function (TF) Signature Scheme base class.

Template Parameters

  INTFACE | interface
  BASE | base class

Definition at line 483 of file pubkey.h.

## Constructor & Destructor Documentation

## ~TF_SignatureSchemeBase()

template<class INTFACE , class BASE >

virtual TF_SignatureSchemeBase< INTFACE, BASE >::~TF_SignatureSchemeBase | ( |  | ) |

inline virtual

Definition at line 486 of file pubkey.h.

## Member Function Documentation

## SignatureLength()

template<class INTFACE , class BASE >

size_t TF_SignatureSchemeBase< INTFACE, BASE >::SignatureLength | ( |  | ) | const

inline

Definition at line 488 of file pubkey.h.

## MaxRecoverableLength()

template<class INTFACE , class BASE >

size_t TF_SignatureSchemeBase< INTFACE, BASE >::MaxRecoverableLength | ( |  | ) | const

inline

Definition at line 490 of file pubkey.h.

## MaxRecoverableLengthFromSignatureLength()

template<class INTFACE , class BASE >

size_t TF_SignatureSchemeBase< INTFACE, BASE >::MaxRecoverableLengthFromSignatureLength | ( | size_t | signatureLength | ) | const

inline

Definition at line 492 of file pubkey.h.

## IsProbabilistic()

template<class INTFACE , class BASE >

bool TF_SignatureSchemeBase< INTFACE, BASE >::IsProbabilistic | ( |  | ) | const

inline

Definition at line 495 of file pubkey.h.

## AllowNonrecoverablePart()

template<class INTFACE , class BASE >

bool TF_SignatureSchemeBase< INTFACE, BASE >::AllowNonrecoverablePart | ( |  | ) | const

inline

Definition at line 497 of file pubkey.h.

## RecoverablePartFirst()

template<class INTFACE , class BASE >

bool TF_SignatureSchemeBase< INTFACE, BASE >::RecoverablePartFirst | ( |  | ) | const

inline

Definition at line 499 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h